Package uk.ac.starlink.topcat

## Class ActionForwarder

- java.lang.Object
- - uk.ac.starlink.topcat.ActionForwarder

- All Implemented Interfaces:
    `java.awt.event.ActionListener`, `java.util.EventListener`, `javax.swing.event.ChangeListener`

      public class ActionForwarder
      extends java.lang.Object
      implements java.awt.event.ActionListener, javax.swing.event.ChangeListener

  ActionListener implementation which forwards all ActionEvents to a list of clients. It also implements ChangeListener, and any ChangeEvents it receives will be turned into ActionEvents and forwarded as well.
  Since:
    28 Oct 2005
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActionForwarder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `actionPerformed​(java.awt.event.ActionEvent evt)` |
    `void` | `addActionListener​(java.awt.event.ActionListener listener)` | Adds a new listener to the list of forwardees.
    `void` | `removeActionListener​(java.awt.event.ActionListener listener)` | Removes a listener which was previously added.
    `void` | `stateChanged​(javax.swing.event.ChangeEvent evt)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionForwarder

          public ActionForwarder()

  - ### Method Detail

    - #### addActionListener

          public void addActionListener​(java.awt.event.ActionListener listener)

      Adds a new listener to the list of forwardees.
      Parameters:
        `listener` - listener to add

    - #### removeActionListener

          public void removeActionListener​(java.awt.event.ActionListener listener)

      Removes a listener which was previously added.
      Parameters:
        `listener` - listener to remove
      See Also:
        `addActionListener(java.awt.event.ActionListener)`

    - #### actionPerformed

          public void actionPerformed​(java.awt.event.ActionEvent evt)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### stateChanged

          public void stateChanged​(javax.swing.event.ChangeEvent evt)

      Specified by:
        `stateChanged` in interface `javax.swing.event.ChangeListener`

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.